Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class GetViewHandler

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.GetViewHandler

Direct Known Subclasses:
  DefaultGetViewHandler

    public abstract class GetViewHandler

extends Object

Super class for GetView handlers.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Constructor Summary
`protected` | `GetViewHandler(WPVService ownerService)` Creates a new GetViewHandler using `ownerService`.

Method Summary
`protected WPVService` | `getOwner()` Returns the WPVService which owns this configuration
`abstract GetViewResponse` | `handleRequest(GetView getViewRequest)` Handle the GetView request given by `getViewRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetViewHandler

    protected GetViewHandler(WPVService ownerService)

  Creates a new GetViewHandler using `ownerService`.

  Parameters:
    `ownerService` -

Method Detail

### handleRequest

    public abstract GetViewResponse handleRequest(GetView getViewRequest)
                                           throws OGCWebServiceException

  Handle the GetView request given by `getViewRequest`

  Parameters:
    `getViewRequest` - te WPVS GetView request
  Returns:
    an instance of GetViewResponse
  Throws:
    `OGCWebServiceException`

### getOwner

    protected final WPVService getOwner()

  Returns the WPVService which owns this configuration

  Returns:
    the WPVService which owns this configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org